/*
 * MyCombo.java
 *
 * Created on 19. januar 2006, 10:14
 */

package jcreek.gui.representation.constraints;

import javax.swing.*;
import javax.swing.plaf.basic.*;
/**
 *
 * @author  Martin Stige
 */
public class HorizontalScrollCombo extends JComboBox{
    
    /** Creates a new instance of MyCombo */
    public HorizontalScrollCombo() {
        super();
        setUI(new myComboUI());
        setBorder(new javax.swing.border.EtchedBorder());
    }
    
    
    private class myComboUI extends BasicComboBoxUI{
        
        protected ComboPopup createPopup(){
            BasicComboPopup popup = new BasicComboPopup(comboBox){
                protected JScrollPane createScroller() {
                    return new JScrollPane( list, ScrollPaneConstants.VERTICAL_SCROLLBAR_AS_NEEDED,
                    ScrollPaneConstants.HORIZONTAL_SCROLLBAR_AS_NEEDED );
                }//end of method createScroller
            };
            return popup;
        }//end of method createPopup
    }//end of inner class myComboUI
}